Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# CSDKConsolDlg Class Reference

`#include <SDKConsolDlg.h>`

## Public Types
enum | { IDD = IDD_SDKCONSOL_DIALOG }
## Public Methods
| CSDKConsolDlg (CWnd *pParent=NULL)
## Protected Methods
virtual void | DoDataExchange (CDataExchange *pDX)
virtual BOOL | OnInitDialog ()
afx_msg void | OnSysCommand (UINT nID, LPARAM lParam)
afx_msg void | OnPaint ()
afx_msg HCURSOR | OnQueryDragIcon ()
## Protected Attributes
HICON | m_hIcon

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  IDD |
Definition at line 15 of file SDKConsolDlg.h.
    00015 { IDD = IDD_SDKCONSOL_DIALOG };

## Constructor & Destructor Documentation

CSDKConsolDlg | ( | CWnd * | pParent = NULL | ) |

## Member Function Documentation

void DoDataExchange | ( | CDataExchange * | pDX | ) | `[protected, virtual]`

| Definition at line 53 of file SDKConsolDlg.cpp.
    00055 {
    00056         CDialog::DoDataExchange(pDX);

virtual BOOL OnInitDialog | ( |  | ) | `[protected, virtual]`

void OnPaint | ( |  | ) | `[protected]`

| Definition at line 117 of file SDKConsolDlg.cpp. References m_hIcon.
    00119 {
    00120         if (IsIconic())
    00121         {
    00122                 CPaintDC dc(this); // contexte de périphérique pour la peinture
    00123
    00124                 SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);
    00125
    00126                 // Centrer l'icône dans le rectangle client
    00127                 int cxIcon = GetSystemMetrics(SM_CXICON);
    00128                 int cyIcon = GetSystemMetrics(SM_CYICON);
    00129                 CRect rect;
    00130                 GetClientRect(&rect);
    00131                 int x = (rect.Width() - cxIcon + 1) / 2;
    00132                 int y = (rect.Height() - cyIcon + 1) / 2;
    00133
    00134                 // Dessiner l'icône
    00135                 dc.DrawIcon(x, y, m_hIcon);
    00136         }
    00137         else
    00138         {
    00139                 CDialog::OnPaint();
    00140         }

HCURSOR OnQueryDragIcon | ( |  | ) | `[protected]`

| Definition at line 144 of file SDKConsolDlg.cpp.
    00146 {
    00147         return static_cast<HCURSOR>(m_hIcon);

void OnSysCommand | ( | UINT | nID,
|  | LPARAM | lParam
| ) | `[protected]`

| Definition at line 100 of file SDKConsolDlg.cpp.
    00102 {
    00103         if ((nID & 0xFFF0) == IDM_ABOUTBOX)
    00104         {
    00105                 CAboutDlg dlgAbout;
    00106                 dlgAbout.DoModal();
    00107         }
    00108         else
    00109         {
    00110                 CDialog::OnSysCommand(nID, lParam);
    00111         }

## Field Documentation

HICON m_hIcon`[protected]`

| Definition at line 23 of file SDKConsolDlg.h. Referenced by OnPaint().

The documentation for this class was generated from the following files:

- SDKConsolDlg.h
- SDKConsolDlg.cpp